package com.futu.goose.orders.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 优惠券表
 * @TableName t_coupon
 */
@TableName(value ="t_coupon")
@Data
public class TCoupon implements Serializable {
    /**
     * 优惠券ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 优惠券码
     */
    private String couponCode;

    /**
     * 优惠券类型
     */
    private String type;

    /**
     * 优惠金额（满减）
     */
    private BigDecimal amount;

    /**
     * 满减门槛
     */
    private BigDecimal threshold;

    /**
     * 状态
     */
    private String status;

    /**
     * 过期时间
     */
    private Date expireTime;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}