package com.futu.goose.orders.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.goose.orders.pojo.TCoupon;
import com.futu.goose.orders.service.TCouponService;
import com.futu.goose.orders.mapper.TCouponMapper;
import com.futu.goose.utils.Result;
import com.futu.goose.utils.SnowflakeIdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* @author 张大宇
* @description 针对表【t_coupon(优惠券表)】的数据库操作Service实现
* @createDate 2025-05-13 16:26:58
*/
@Service
public class TCouponServiceImpl extends ServiceImpl<TCouponMapper, TCoupon>
    implements TCouponService{
    @Autowired
    private TCouponMapper couponMapper;
    @Override
    public Result addCoupon(TCoupon coupon) {
        coupon.setId(SnowflakeIdGenerator.getSnowId());
        couponMapper.insert(coupon);
        return new Result(true, "添加成功");
    }
}




