package com.futu.goose.store.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 售课系统店铺表
 * @TableName shop
 */
@TableName(value ="shop")
@Data
public class Shop implements Serializable {
    /**
     * 店铺ID，主键
     */
    @TableId
    private Long shopId;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 店铺logo URL
     */
    private String shopLogo;

    /**
     * 店铺描述
     */
    private String shopDesc;

    /**
     * 店主用户ID
     */
    private Long userId;

    /**
     * 店铺分类ID
     */
    private Integer categoryId;

    /**
     * 状态：0-禁用，1-正常，2-审核中，3-审核失败
     */
    private Integer status;

    /**
     * 联系电话
     */
    private String contactPhone;

    /**
     * 联系邮箱
     */
    private String contactEmail;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 区县
     */
    private String district;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal longitude;

    /**
     * 纬度
     */
    private BigDecimal latitude;

    /**
     * 店铺横幅图片，JSON格式存储多个URL
     */
    private String bannerImages;

    /**
     * 社交媒体链接，JSON格式存储
     */
    private String socialMedia;

    /**
     * 营业时间
     */
    private String openingHours;

    /**
     * SEO标题
     */
    private String seoTitle;

    /**
     * SEO关键词
     */
    private String seoKeywords;


    /**
     * SEO描述
     */
    private String seoDescription;

    /**7
     * 店铺评分，0-5分
     */
    private BigDecimal rating;

    /**
     * 总销量
     */
    private Integer salesCount;

    /**
     * 课程数量
     */
    private Integer courseCount;

    /**
     * 关注人数
     */
    private Integer followerCount;

    /**
     * 浏览人数
     */
    private Integer viewCount;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    /**
     * 删除时间，软删除标志
     */
    private Date deletedAt;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}